## kdoctools 5.3.0

=== debian/changelog ===
kdoctools (5.3.0-0ubuntu2) utopic; urgency=medium

  * New upstream build-dep on ki18n, not kdesu

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 07 Oct 2014 17:07:57 +0200

kdoctools (5.3.0-0ubuntu1) utopic; urgency=medium

  * Remove obsolete patch missing-all-l10n.xml.diff fixed upstream
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 Oct 2014 11:21:28 +0100

kdoctools (5.2.0-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Use pkg-kde-tools version 3 scripts

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 22 Sep 2014 19:39:27 +0200

kdoctools (5.1.0-0ubuntu1) utopic; urgency=medium

  * Cleanup copyright file.
  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Tue, 05 Aug 2014 17:10:45 +0200

kdoctools (5.0.0-0ubuntu1) utopic; urgency=medium

  * Initial stable upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 14 Jul 2014 17:37:31 +0200
