=== debian/control ===
Source: kdoctools
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               docbook-xml,
               docbook-xsl,
               extra-cmake-modules (>= 1.2.0),
               libkf5archive-dev (>= 5.3.0),
               libkf5i18n-dev (>= 5.3.0),
               libxml2-dev,
               libxml2-utils,
               libxslt1-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev
Standards-Version: 3.9.5
Homepage: https://projects.kde.org/projects/frameworks/kdoctools
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/kdoctools.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kdoctools.git

Package: kdoctools-dev
Section: libdevel
Architecture: any
Depends: kdoctools5 (= ${binary:Version}),
         libkf5archive-dev (>= 5.3.0),
         qtbase5-dev,
         ${misc:Depends}
Description: Documentation generation from docbook
 Tools to read documentation in Docbook.
 .
 Contains development files for kdoctools.

Package: kdoctools5
Section: doc
Architecture: any
Depends: docbook-xml,
         docbook-xsl,
         libxml2-utils,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Documentation generation from docbook
 Tools to read documentation in Docbook.

Package: kdoctools5-dbg
Priority: extra
Section: debug
Architecture: any
Multi-Arch: allowed
Depends: kdoctools5 (= ${binary:Version}), ${misc:Depends}
Description: Documentation generation from docbook
 Tools to read documentation in Docbook.
 .
 Contains debug symbols for kdoctools.
