=== debian/control ===
--- 
+++ 
@@ -7,24 +7,24 @@
                debhelper (>= 9.0.0),
                docbook-xml,
                docbook-xsl,
-               extra-cmake-modules (>= 1.2.0),
-               libkf5archive-dev (>= 5.3.0),
-               libkf5i18n-dev (>= 5.3.0),
+               extra-cmake-modules (>= 1.8.0),
+               libkf5archive-dev (>= 5.9.0),
+               libkf5i18n-dev (>= 5.9.0),
                libxml2-dev,
                libxml2-utils,
                libxslt1-dev,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/kdoctools
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/kdoctools.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kdoctools.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kdoctools.git
 
 Package: kdoctools-dev
 Section: libdevel
 Architecture: any
 Depends: kdoctools5 (= ${binary:Version}),
-         libkf5archive-dev (>= 5.3.0),
+         libkf5archive-dev (>= 5.9.0),
          qtbase5-dev,
          ${misc:Depends}
 Description: Documentation generation from docbook
