=== debian/control ===
Source: kdoctools
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               docbook-xml (>= 4.5),
               docbook-xsl,
               extra-cmake-modules (>= 5.15.0~),
               libkf5archive-dev (>= 5.15.0~),
               libkf5i18n-dev (>= 5.15.0~),
               liburi-perl,
               libxml2-dev,
               libxml2-utils,
               libxslt1-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.4)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/frameworks/kdoctools
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kdoctools.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kdoctools.git

Package: kdoctools-dev
Section: libdevel
Architecture: any
Depends: kdoctools5 (= ${binary:Version}),
         libkf5archive-dev (>= 5.15.0~),
         qtbase5-dev (>= 5.4),
         ${misc:Depends}
Description: Development files for kdoctools5
 KDocTools is a set of tools to generate documentation in various formats from
 DocBook files.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files for kdoctools5.

Package: kdoctools5
Section: doc
Architecture: any
Multi-Arch: foreign
Depends: docbook-xml (>= 4.5),
         docbook-xsl,
         libxml2-utils,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Tools to generate documentation in various formats from DocBook
 KDocTools is a set of tools to generate documentation in various formats from
 DocBook files.
 .
 This package is part of KDE Frameworks 5.

Package: kdoctools5-dbg
Priority: extra
Section: debug
Architecture: any
Multi-Arch: allowed
Depends: kdoctools5 (= ${binary:Version}), ${misc:Depends}
Description: Debug symbols for kdoctools5
 KDocTools is a set of tools to generate documentation in various formats from
 DocBook files.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the debug symbols for kdoctools5.
