## kdoctools 5.31.0

=== debian/changelog ===
kdoctools (5.31.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.31.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 Feb 2017 22:51:06 +0000

kdoctools (5.30.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.30.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 01 Feb 2017 18:34:50 +0000

kdoctools (5.28.0-0ubuntu1) zesty; urgency=low

  [ Rik Mills ]
  * New upstream release (5.27.0)

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git field to use https:// instead of git://
  * Merge with debian, this imports the -dev package renaming
    kdoctools-dev -> libkf5doctools-dev
    so libkf5doctools-dev Breaks/Replaces previous versions of kdoctools-dev
  * New upstream release (5.28.0)
  * Use wildcards in not-installed file

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 05 Dec 2016 20:16:53 +0000
