=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
                debhelper (>= 9),
                docbook-xml (>= 4.5),
                docbook-xsl,
-               extra-cmake-modules (>= 5.31.0~),
-               libkf5archive-dev (>= 5.31.0~),
-               libkf5i18n-dev (>= 5.31.0~),
+               extra-cmake-modules (>= 5.38.0~),
+               libkf5archive-dev (>= 5.38.0~),
+               libkf5i18n-dev (>= 5.38.0~),
                liburi-perl,
                libxml2-dev,
                libxml2-utils,
@@ -26,7 +26,7 @@
 Multi-Arch: same
 Section: oldlibs
 Priority: extra
-Depends: libkf5doctools-dev (>= 5.31.0~), ${misc:Depends}
+Depends: libkf5doctools-dev (>= 5.38.0~), ${misc:Depends}
 Description: transitional dummy package
  This is a transitional dummy package. It can safely be removed.
 
@@ -35,7 +35,8 @@
 Multi-Arch: same
 Section: libdevel
 Depends: kdoctools5 (= ${binary:Version}),
-         libkf5archive-dev (>= 5.31.0~),
+         libkf5archive-dev (>= 5.38.0~),
+         libkf5doctools5 (= ${binary:Version}),
          qtbase5-dev (>= 5.6.1~),
          ${misc:Depends}
 Breaks: kdoctools-dev (<< 5.27.0-1ubuntu1~)
@@ -62,3 +63,14 @@
  DocBook files.
  .
  This package is part of KDE Frameworks 5.
+
+Package: libkf5doctools5
+Architecture: any
+Multi-Arch: same
+Section: libdevel
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Tools to generate documentation in various formats from DocBook
+ KDocTools is a set of tools to generate documentation in various formats from
+ DocBook files.
+ .
+ This package is part of KDE Frameworks 5.
